Overview | Package | Class | Use | Tree | Help
| HEADER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## biouml.model.dynamics
Class EModelDiagramViewBuilder

    biouml.model.DefaultDiagramViewBuilder
      |
      +--biouml.model.dynamics.EModelDiagramViewBuilder

public class EModelDiagramViewBuilder
extends DefaultDiagramViewBuilder

View builder for executable model diagram. It is a decorator (Decorator Design Pattern) for other DiagramViewBuider. We decorate view of nodes and images, as well as DefaultViewOptions. We use basic methods of DefaultDiagramViewBuilder to build the diagram view and management by its element:

- createDiagramView
- createDiagramView
- createCompartmentView
- hideElement
- removeElement
- moveNode
- applyFilter

Constructor Summary
`EModelDiagramViewBuilder(DiagramViewBuilder viewBuilder)`

Method Summary
`DiagramViewOptions` | `createDefaultDiagramViewOptions()`
`CompositeView` | `createEdgeView(Edge edge, DiagramViewOptions options, Graphics g)`
`CompositeView` | `createNodeView(Node node, DiagramViewOptions options, Graphics g)`

Methods inherited from class biouml.model.DefaultDiagramViewBuilder
`calcAttachmentPoints, createCompartmentView, createDiagramView, createEquivalentNodeGroupView, getInsertActions, hide, hideElement, highlight, highlightNode, moveNode, proportion, removeElement, restoreView`

Constructor Detail

### EModelDiagramViewBuilder

    public EModelDiagramViewBuilder(DiagramViewBuilder viewBuilder)

Method Detail

### createDefaultDiagramViewOptions

    public DiagramViewOptions createDefaultDiagramViewOptions()

  todo implement

### createEdgeView

    public CompositeView createEdgeView(Edge edge, DiagramViewOptions options, Graphics g)

  todo implement

### createNodeView

    public CompositeView createNodeView(Node node, DiagramViewOptions options, Graphics g)

  todo implement

Association Links

to Class biouml.model.DiagramViewBuilder

Overview | Package | Class | Use | Tree | Help
| FOOTER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

BOTTOM